org.apache.lucene.luke.app.desktop.components

## Class TabbedPaneProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.TabbedPaneProvider

- All Implemented Interfaces:
    TabSwitcherProxy.TabSwitcher

      public final class TabbedPaneProvider
      extends Object
      implements TabSwitcherProxy.TabSwitcher

  Provider of the Tabbed pane

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TabbedPaneProvider.Tab` tabs in the main frame

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabbedPaneProvider(JTextArea logTextArea)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JTabbedPane` | `get()`
    `void` | `switchTab(TabbedPaneProvider.Tab tab)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabbedPaneProvider

          public TabbedPaneProvider(JTextArea logTextArea)
                             throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### get

          public JTabbedPane get()

    - #### switchTab

          public void switchTab(TabbedPaneProvider.Tab tab)

      Specified by:
        `switchTab` in interface `TabSwitcherProxy.TabSwitcher`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.